From: Stephen G Simpson <[email-masked]>
Date: Tue, 7 Sep 93 11:58:56 -0400

Ross Paterson <[email-masked]> writes:

> My understanding is that EUC is a scheme for mixing text from up to
> 4 character sets, using the following byte sequences:
> 
> 	set 0	00-7f		ASCII (narrow)
> 	set 1	GR GR		wide characters
> 	set 2	8e GR		extra narrow set
> 	set 3	8f GR GR	extra wide set
> 
> Here GR (Graphic Right) means the range a1-fe.  The wide sets are two-byte
> codes using the ranges 21-7e, like GB, JIS or KSC.  The narrow set is a
> one-byte code.  For example, the X locale zh_CN.ugb has GB as set 1 and
> the pinyin row of GB as set 2.  The zh_TW.big5 locale has the two CNS
> sets as sets 1 and 3.  Japanese locales have JIS-208 in set 1, JIS-201
> (katakana) in set 2, and JIS-212 in set 3.
> 
> So I think EUC is best treated as accessing a set of fonts, each using
> HBF files which probably already exist.  It's up to the application
> program to process the EUC text.

Ross, thanks for the concise explanation.  You know, I read some
articles about EUC but it didn't explain it this well.  I'm sure
you're right -- there is no need to extend HBF to take account of EUC.

-- Steve